+1
Fixed

Bolt 2.0.0a4 Assertion failed on expression: 'GetApplication().MayUpdate()'

araval 1 year ago updated by Lazlo Bonin (Lead Developer) 1 year ago 4

Im playing with Bolt 2 and got these errors.

"Assertion failed on expression: 'GetApplication().MayUpdate()'"

"Assertion failed on expression: '!performAutorepaint || GetApplication().MayUpdate()'"

Both errors has the same description (see screenshot).

My project have few scenes. Its for android and the errors appears during build. Build seems to working fine on mobile. Not sure what settings cause this.

Bolt Version:
Bolt 2.0.0a4
Unity Version:
2018.3.11f1
Platform(s):
Scripting Backend:
.NET Version (API Compatibility Level):
Bolt 2
Pending Review

Hi araval,

Thanks for the report. Checking with the Sirenix team what might be causing that, I'll get back to you soon.

I have the same issue with several unity versions , 2018.3.0f2 , 2018.3.7 , 2018.3.14 

During build for android the same errors appear but in my case the built apk doesn`t have any Bolt functionality even with an empty scene with a particle system triggered by Bolt flow machine


Fixed in Alpha

Tor from Sirenix issued a fix to Odin Serializer which will be integrated in Alpha 5.

Thanks for the report!